AllConfigResponses (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.bizapp.shared.AllConfigResponses class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.bizapp.shared
Class AllConfigResponses

    java.lang.Object
      org.hyperic.hq.bizapp.shared.AllConfigResponses

All Implemented Interfaces:
  java.io.Serializable

    public class AllConfigResponses

extends java.lang.Object
implements java.io.Serializable

This is a simple class that wraps all the config responses. It is used when calling the AppdefBoss.setAllConfigResponses

See Also:
  Serialized Form

Constructor Summary
`AllConfigResponses()`

Method Summary
`ConfigResponse` | `getConfig(int type)`
`ConfigResponse` | `getControlConfig()`
`boolean` | `getEnableEuRT()`
`boolean` | `getEnableRuntimeAIScan()`
`boolean` | `getEnableServiceRT()`
`ConfigResponse` | `getMetricConfig()`
`ConfigResponse` | `getProductConfig()`
`AppdefEntityID` | `getResource()`
`ConfigResponse` | `getRtConfig()`
`boolean` | `getShouldConfig(int type)`
`boolean` | `getSupports(int type)`
`void` | `setConfig(int type, ConfigResponse config)`
`void` | `setEnableEuRT(boolean eurt)`
`void` | `setEnableRuntimeAIScan(boolean aiScan)`
`void` | `setEnableServiceRT(boolean serviceRt)`
`void` | `setResource(AppdefEntityID resource)`
`void` | `setShouldConfig(int type, boolean b)`
`void` | `setSupports(int type, boolean b)`
`boolean` | `shouldConfigControl()`
`boolean` | `shouldConfigMetric()`
`boolean` | `shouldConfigProduct()`
`boolean` | `shouldConfigRt()`
`boolean` | `supportsControlConfig()`
`boolean` | `supportsMetricConfig()`
`boolean` | `supportsProductConfig()`
`boolean` | `supportsRtConfig()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AllConfigResponses

    public AllConfigResponses()

Method Detail

### setResource

    public void setResource(AppdefEntityID resource)

### getResource

    public AppdefEntityID getResource()

### setConfig

    public void setConfig(int type,
                          ConfigResponse config)

### getConfig

    public ConfigResponse getConfig(int type)

### setSupports

    public void setSupports(int type,
                            boolean b)

### getSupports

    public boolean getSupports(int type)

### setShouldConfig

    public void setShouldConfig(int type,
                                boolean b)

### getShouldConfig

    public boolean getShouldConfig(int type)

### setEnableRuntimeAIScan

    public void setEnableRuntimeAIScan(boolean aiScan)

### getEnableRuntimeAIScan

    public boolean getEnableRuntimeAIScan()

### setEnableEuRT

    public void setEnableEuRT(boolean eurt)

### getEnableEuRT

    public boolean getEnableEuRT()

### setEnableServiceRT

    public void setEnableServiceRT(boolean serviceRt)

### getEnableServiceRT

    public boolean getEnableServiceRT()

### getProductConfig

    public ConfigResponse getProductConfig()

### getMetricConfig

    public ConfigResponse getMetricConfig()

### getControlConfig

    public ConfigResponse getControlConfig()

### getRtConfig

    public ConfigResponse getRtConfig()

### supportsProductConfig

    public boolean supportsProductConfig()

### supportsMetricConfig

    public boolean supportsMetricConfig()

### supportsControlConfig

    public boolean supportsControlConfig()

### supportsRtConfig

    public boolean supportsRtConfig()

### shouldConfigProduct

    public boolean shouldConfigProduct()

### shouldConfigMetric

    public boolean shouldConfigMetric()

### shouldConfigControl

    public boolean shouldConfigControl()

### shouldConfigRt

    public boolean shouldConfigRt()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.